Update a budget's details
Updates the details of a given budget.
curl --request PATCH \
--url 'https://api.equalsmoney.com/v2/budgets/{budgetId}?accountId={{accountId}}' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"feature": {
"payments": true,
"budgetCards": true,
"peopleCards": true,
"lowBalanceThreshold": 0,
"lowBalanceCurrencyCode": "AED"
},
"allowCurrencyAlignment": false,
"name": "Test Budget"
}
'import requests
url = "https://api.equalsmoney.com/v2/budgets/{budgetId}"
payload = {
"feature": {
"payments": True,
"budgetCards": True,
"peopleCards": True,
"lowBalanceThreshold": 0,
"lowBalanceCurrencyCode": "AED"
},
"allowCurrencyAlignment": False,
"name": "Test Budget"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
feature: {
payments: true,
budgetCards: true,
peopleCards: true,
lowBalanceThreshold: 0,
lowBalanceCurrencyCode: 'AED'
},
allowCurrencyAlignment: false,
name: 'Test Budget'
})
};
fetch('https://api.equalsmoney.com/v2/budgets/{budgetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "775596ae-2624-40af-a9dc-9756110a4a03",
"boxId": "a43231c221",
"name": "Team Party",
"accountId": "F50091",
"parentId": "775596ae-2624-40af-a9dc-9756110a4a03",
"feature": [
{
"id": "string",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"payments": true,
"budgetCards": true,
"peopleCards": true,
"forwardDeposits": true,
"lowBalanceThreshold": 0,
"lowBalanceCurrencyCode": "AED",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"currency": [
{
"id": "string",
"boxCurrencyId": 0,
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"currencyCode": "USD",
"local": "unique",
"international": "unique",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"balance": [
{
"id": "string",
"currencyCode": "USD",
"availableBalance": 10,
"lastUpdatedSequentialId": 0,
"currency": "USD",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"ledgerBalance": 50,
"pendingBalance": 40,
"allocatedBalance": 10,
"ledgerAndAllocatedBalance": 60,
"activeCurrencyOnBudget": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"totalBalance": [
{
"id": "string",
"currencyCode": "USD",
"availableBalance": 10,
"lastUpdatedSequentialId": 0,
"currency": "USD",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"ledgerBalance": 50,
"pendingBalance": 40,
"allocatedBalance": 10,
"ledgerAndAllocatedBalance": 60,
"activeCurrencyOnBudget": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"children": [
{
"id": "string",
"currencyCode": "USD",
"availableBalance": 10,
"lastUpdatedSequentialId": 0,
"currency": "USD",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"ledgerBalance": 50,
"pendingBalance": 40,
"allocatedBalance": 10,
"ledgerAndAllocatedBalance": 60,
"activeCurrencyOnBudget": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"details": [
{
"currency": "USD",
"sortCode": "12-34-56",
"accountNumber": "12345678",
"ibans": [
{
"iban": "GB26SPPV23188497371875",
"bic": "BARCGB22"
}
],
"accountName": "Equals Money",
"bankName": "SPECTRUM PAYMENT SERVICES",
"bankAddress": "Vintners Place, 68 Upper Thames St, London, EC4V 3BJ, United Kingdom",
"balanceReference": "Balance reference"
}
],
"settlementDetails": {
"currencyDetails": [
{
"currencyCode": "USD",
"local": {
"accountIdentifier": "31510604",
"bankIdentifier": "10-00-00",
"payeeName": "ACME",
"bankName": "Brilliant Bank",
"bankAddress": {
"addressLine1": "41 Middle Street",
"addressLine2": "string",
"addressLine3": "string",
"city": "Enfield",
"postcode": "EN1 3JY",
"country": "United Kingdom"
}
},
"international": {
"accountIdentifier": "31510604",
"bankIdentifier": "10-00-00",
"payeeName": "ACME",
"bankName": "Brilliant Bank",
"bankAddress": {
"addressLine1": "41 Middle Street",
"addressLine2": "string",
"addressLine3": "string",
"city": "Enfield",
"postcode": "EN1 3JY",
"country": "United Kingdom"
}
}
}
],
"balanceReference": "Balance reference"
},
"individualBudgetHolder": {
"id": "b489ea2c-0dd1-4fb1-b345-de5a596a5527",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"personaId": "775596ae-2624-40af-a9dc-9756110a4a04",
"createdAt": "2019-08-24T14:15:22Z"
},
"priority": 1,
"level": 1,
"type": "accountBalance",
"status": "active",
"allowCurrencyAlignment": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}Authorizations
Path Parameters
The ID of the budget to work with.
36"775596ae-2624-40af-a9dc-9756110a4a03"
Query Parameters
The ID of the account to work with.
"F50091"
Body
Body
Details about the feature(s) to enable for the budget.
Show child attributes
Show child attributes
Whether or not currency alignment is enabled for the budget. Currency alignment allows a cardholder to pay in a currency that is different from the budget's currency, with Equals Money doing the conversion.
false
The budget name
75"Test Budget"
Response
OK
The ID of the budget to work with.
36"775596ae-2624-40af-a9dc-9756110a4a03"
The name of the budget.
256"Team Party"
The ID of the account to work with.
"F50091"
The ID of the box to work with.
"a43231c221"
The ID of the budget to work with.
36"775596ae-2624-40af-a9dc-9756110a4a03"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Legacy. The box bank account details, included when details is passed to the include query parameter. Prefer settlementDetails instead.
Show child attributes
Show child attributes
The settlement details.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Defines the priority of a budget, where 1 is the highest priority.
1
Defines the hierarchy level of a budget, where 0 is the highest level (accountBalance).
1
The budget type.
accountBalance, forwardDeposits, shared, individual active, archived, hidden Whether or not to enable currency alignment on a budget. Currency alignment allows a cardholder to pay in a currency that is different from the budget's currency, with Equals Money doing the conversion.
The date the Resource was initially created. ISO 8601 format without milliseconds.
The date the Resource was last modified. ISO 8601 format without milliseconds.
Was this page helpful?
